Page MenuHomePhabricator

Frequent memcached error for *:preprocess-hash:*:* keys
Closed, ResolvedPublic

Description

The memcached log has been flooded with error message about preprocess-hash keys since time immemorial. They are of the form:

2015-09-03 00:14:21 mw1083 svwiki memcached ERROR: Memcached error for key "svwiki:preprocess-hash:4a5b991af9ad4714f3175af5da312b1d:1" on server "/var/run/nutcracker/nutcracker.sock:0": SERVER ERROR {"memcached-server":"/var/run/nutcracker/nutcracker.sock:0","memcached-key":"svwiki:preprocess-hash:4a5b991af9ad4714f3175af5da312b1d:1"}

The wiki varies, but it's usually zhwiki. The reason for the error is the size of the serialized value, which exceeds memcached's 1 Mb limit.

Event Timeline

ori created this task.Sep 3 2015, 12:17 AM
ori raised the priority of this task from to Needs Triage.
ori updated the task description. (Show Details)
ori added a subscriber: ori.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2015, 12:17 AM
ori added a comment.Sep 3 2015, 12:20 AM

The file below is the string value that MediaWiki is attempting to store under the key zhwiki:preprocess-hash:b878bc90c624257155bc0aa0e4b4e0c5:

Change 235650 had a related patch set uploaded (by Ori.livneh):
Decline to cache preprocessor items larger than 1 Mb

https://gerrit.wikimedia.org/r/235650

Change 235651 had a related patch set uploaded (by Ori.livneh):
Decline to cache preprocessor items larger than 1 Mb

https://gerrit.wikimedia.org/r/235651

Change 235652 had a related patch set uploaded (by Ori.livneh):
Decline to cache preprocessor items larger than 1 Mb

https://gerrit.wikimedia.org/r/235652

Change 235651 merged by Ori.livneh:
Decline to cache preprocessor items larger than 1 Mb

https://gerrit.wikimedia.org/r/235651

Change 235652 merged by Ori.livneh:
Decline to cache preprocessor items larger than 1 Mb

https://gerrit.wikimedia.org/r/235652

Change 235650 merged by jenkins-bot:
Decline to cache preprocessor items larger than 1 Mb

https://gerrit.wikimedia.org/r/235650

demon triaged this task as Normal priority.Sep 3 2015, 5:25 AM
demon set Security to None.
ori closed this task as Resolved.Sep 7 2015, 8:28 PM
ori claimed this task.